
#language: ru

@SalesOfProducts

Функционал: 021. SalesOfProducts. Проверка использования формы подбора с количеством в заказе клиента

Сценарий: 021.1. SalesOfProducts. Проверка использования формы подбора с количеством в заказе клиента

	Дано Я подключаюсь под "Использование формы подбора номенклатуры с количеством"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.021. Реализация товаров"
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И Я начинаю создавать заказ покупателя без холдинга "Обычный покупатель" в точку доставки "Обычная точка доставки" организации "Организация" и подразделению "Подразделение приемки заказов"
	И в поле с именем "ДатаОтгрузки" я ввожу текст '10.09.2019'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	Если в таблице "Список" количество строк "меньше или равно" 3 Тогда
		И я нажимаю на кнопку 'Иерархия'
	И Я подбираю номенклатуру "Сыр Пошехонский"
	Тогда открылось окно 'Сыр Пошехонский'
	И в поле с именем 'InputFld' я ввожу текст '10,000'
	И я нажимаю на кнопку с именем 'OK'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ПодобраннаяНоменклатура" я завершаю редактирование строки
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Заказ клиента (создание) *'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Пошехонский' | 'кг'  | '10%'   | '225,00'          | '<Без маркировки>' | '2 250,00'   | ''      | '10,000, кг'     | '225,00'    | '204,55'   | '2 250,00'   | '10'      | 'Сырная ГП'      |
	И Я закрываю окно 'Заказ клиента (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 021.2. SalesOfProducts. Завершение

	И я закрываю сеанс TESTCLIENT